通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Managed Certificates - Update

更新托管证书的标记
修补托管证书。 支持标记的 Oly 修补

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.App/managedEnvironments/{environmentName}/managedCertificates/{managedCertificateName}?api-version=2026-01-01

URI 参数

名称 必需 类型 说明
environmentName
path True

string

托管环境的名称。

managedCertificateName
path True

string

托管证书的名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

subscriptionId
path True

string

minLength: 1

目标订阅的 ID。

api-version
query True

string

minLength: 1

用于此作的 API 版本。

请求正文

名称 类型 说明
tags

object

键值对形式的特定于应用程序的元数据。

响应

名称 类型 说明
200 OK

ManagedCertificate

托管证书已成功更新。

Other Status Codes

ErrorResponse

常见错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 流

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Patch Managed Certificate

示例请求

PATCH https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/examplerg/providers/Microsoft.App/managedEnvironments/testcontainerenv/managedCertificates/certificate-firendly-name?api-version=2026-01-01

{
  "tags": {
    "tag1": "value1",
    "tag2": "value2"
  }
}

示例响应

{
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/examplerg/providers/Microsoft.App/managedEnvironments/testcontainerenv/managedCertificates/certificate-firendly-name",
  "type": "Microsoft.App/ManagedEnvironments/managedCertificates",
  "location": "East US",
  "properties": {
    "subjectName": "CN=my-subject-name.company.country.net",
    "provisioningState": "Succeeded",
    "domainControlValidation": "CNAME"
  }
}

定义

名称 说明
createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

ManagedCertificate

托管环境中用于容器应用的自定义域绑定的托管证书

ManagedCertificatePatch

要更新的托管证书

Properties

工作负荷配置文件资源特定属性。

systemData

与创建和上次修改资源相关的元数据。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

ManagedCertificate

托管环境中用于容器应用的自定义域绑定的托管证书

名称 类型 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

location

string

资源所在的地理位置

name

string

资源的名称

properties

Properties

证书资源特定属性

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

tags

object

资源标记。

type

string

资源类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

ManagedCertificatePatch

要更新的托管证书

名称 类型 说明
tags

object

键值对形式的特定于应用程序的元数据。

Properties

工作负荷配置文件资源特定属性。

名称 类型 说明
currentCount

integer (int32)

节点的当前计数。

maximumCount

integer (int32)

最大节点数。

minimumCount

integer (int32)

最小实例数。

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。